Ask Your Question
0

cmake error loam

asked 2018-03-09 00:25:02 -0500

Zephyr gravatar image

updated 2018-03-09 01:07:48 -0500

mgruhler gravatar image

i am working on loam using this tutorial https://github.com/daobilige-su/loam_... i successfully downloaded the loam package but when i compile the package it gives me cmake error. I am working with VLP-16 and Kinetic ROS. Here is the error log:

ubuntu@ubiquityrobot:~$ cd /home/ubuntu/catkin_ws
ubuntu@ubiquityrobot:~/catkin_ws$ catkin_make
Base path: /home/ubuntu/catkin_ws
Source space: /home/ubuntu/catkin_ws/src
Build space: /home/ubuntu/catkin_ws/build
Devel space: /home/ubuntu/catkin_ws/devel
Install space: /home/ubuntu/catkin_ws/install
####
#### Running command: "make cmake_check_build_system" in "/home/ubuntu/catkin_ws/build"
####
-- Using CATKIN_DEVEL_PREFIX: /home/ubuntu/catkin_ws/devel
-- Using CMAKE_PREFIX_PATH: /home/ubuntu/catkin_workspace/devel;/opt/ros/kinetic
-- This workspace overlays: /home/ubuntu/catkin_workspace/devel;/opt/ros/kinetic
-- Using PYTHON_EXECUTABLE: /usr/bin/python
-- Using Debian Python package layout
-- Using empy: /usr/bin/empy
-- Using CATKIN_ENABLE_TESTING: ON
-- Call enable_testing()
-- Using CATKIN_TEST_RESULTS_DIR: /home/ubuntu/catkin_ws/build/test_results
-- Found gtest sources under '/usr/src/gtest': gtests will be built
-- Using Python nosetests: /usr/bin/nosetests-2.7
-- catkin 0.7.8
-- BUILD_SHARED_LIBS is on
-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- ~~  traversing 7 packages in topological order:
-- ~~  - fiducial_follow
-- ~~  - velodyne (metapackage)
-- ~~  - velodyne_msgs
-- ~~  - loam_velodyne
-- ~~  - velodyne_driver
-- ~~  - velodyne_laserscan
-- ~~  - velodyne_pointcloud
-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- +++ processing catkin package: 'fiducial_follow'
-- ==> add_subdirectory(demos/fiducial_follow)
-- +++ processing catkin metapackage: 'velodyne'
-- ==> add_subdirectory(velodyne/velodyne)
-- +++ processing catkin package: 'velodyne_msgs'
-- ==> add_subdirectory(velodyne/velodyne_msgs)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- velodyne_msgs: 2 messages, 0 services
-- +++ processing catkin package: 'loam_velodyne'
-- ==> add_subdirectory(loam_velodyne)
-- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
-- Boost version: 1.58.0
-- Found the following Boost libraries:
--   system
--   filesystem
--   thread
--   date_time
--   iostreams
--   serialization
--   chrono
--   atomic
--   regex
-- Checking for module 'libopenni2'
--   No package 'libopenni2' found
-- Could NOT find OpenNI2 (missing:  OPENNI2_LIBRARY OPENNI2_INCLUDE_DIRS) 
** WARNING ** io features related to openni2 will be disabled
** WARNING ** io features related to pcap will be disabled
** WARNING ** io features related to png will be disabled
-- The imported target "vtkRenderingPythonTkWidgets" references the file
   "/usr/lib/arm-linux-gnueabihf/libvtkRenderingPythonTkWidgets.so"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   "/usr/lib/cmake/vtk-6.2/VTKTargets.cmake"
but not all the files it references.

-- The imported target "vtk" references the file
   "/usr/bin/vtk"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   "/usr/lib/cmake/vtk-6.2/VTKTargets.cmake"
but not all the files it references.

-- Checking for module 'libopenni2'
--   No package 'libopenni2' found
-- Could NOT find OpenNI2 (missing:  OPENNI2_LIBRARY OPENNI2_INCLUDE_DIRS) 
** WARNING ** visualization features related to openni2 will be disabled
-- looking for PCL_COMMON
-- looking for PCL_OCTREE
-- looking for PCL_IO
-- looking for PCL_KDTREE
-- looking for PCL_SEARCH
-- looking for PCL_SAMPLE_CONSENSUS
-- looking for PCL_FILTERS
-- looking for PCL_FEATURES
-- looking for PCL_KEYPOINTS
-- looking for PCL_GEOMETRY
-- looking for PCL_SEGMENTATION
-- looking for PCL_VISUALIZATION
-- looking for PCL_OUTOFCORE
-- looking for PCL_SURFACE
-- looking for PCL_TRACKING
-- looking for PCL_REGISTRATION
-- looking for PCL_RECOGNITION
-- looking for PCL_APPS
-- Could NOT find PCL_APPS (missing:  PCL_APPS_LIBRARY) 
-- looking for PCL_PEOPLE ...
(more)
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2018-03-09 06:07:42 -0500

gvdhoorn gravatar image
CMake Error: File /home/ubuntu/catkin_ws/src/loam_velodyne/tests/loam.test.in does not exist.

This would appear to be an issue with the package that you're trying to compile.

Please report this to the author.

edit flag offensive delete link more
0

answered 2022-06-18 10:18:16 -0500

The tutorial you are using is missing some files. To solve the error that you are facing you need to download these missing files from ( https://github.com/laboshinl/loam_vel... ).

Follow these steps:

  1. you need to download the zip file of the above github link which contains all the folders.
  2. extract the folder named "tests" from this zip file.
  3. copy & paste the folder "tests" to your workspace. ( in your case /home/ubuntu/catkin_ws/src/loam_velodyne/ )
  4. Then Follow the tutorial you are using.

Hopefully this helps.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-03-09 00:25:02 -0500

Seen: 1,634 times

Last updated: Mar 09 '18